| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
ADT
ADT.Sequence
ADT.Sequence()->SequenceIterator

# Method ADT.Sequence()->SequenceIterator()->`+()

Method `+

  `SequenceIterator `+(int steps)`

Description

  Move the iterator steps steps forward (negative value on steps will cause the iterator to move backwards) and return the result as a new iterator.

Returns

  A new iterator positioned steps steps forward.